Retrieve a list of all checks
GET
https://api.vercel.com/v1/deployments/{deploymentId}/checksList all of the checks created for a deployment.
This endpoint is deprecated
Request
package main
import( "os" "github.com/vercel/vercel" "context" "log")
func main() { s := vercel.New( vercel.WithSecurity(os.Getenv("VERCEL_BEARER_TOKEN")), )
ctx := context.Background() res, err := s.Checks.GetAllChecks(ctx, "dpl_2qn7PZrx89yxY34vEZPD31Y9XVj6", nil, nil) if err != nil { log.Fatal(err) } if res.Object != nil { // handle response }}Response
{ "checks": [ { "blocking": "false", "completedAt": "123", "conclusion": "canceled", "createdAt": "123", "detailsUrl": "https://example.com", "id": "icfg_1234567890", "integrationId": "example_id", "name": "Example Name", "output": { "metrics": { "CLS": { "previousValue": "123", "source": "web-vitals", "value": "123" }, "FCP": { "previousValue": "123", "source": "web-vitals", "value": "123" }, "LCP": { "previousValue": "123", "source": "web-vitals", "value": "123" }, "TBT": { "previousValue": "123", "source": "web-vitals", "value": "123" }, "virtualExperienceScore": { "previousValue": "123", "source": "web-vitals", "value": "123" } } }, "path": "string", "rerequestable": "false", "startedAt": "123", "status": "completed", "updatedAt": "123" } ]}AuthorizationbearerToken
Default authentication mechanism